AgentConnect
Decisions

Update a Decision

Replaces the definition atomically. Omitted visibility and selected members preserve the current audience. Revalidates every By decision conversation gate and routing, marks incompatible ones Needs review (disabled, condition preserved), and re-pushes affected routing.

PATCH
/v1/orgs/{orgId}/decisions/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/orgs/string/decisions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "providerId": "string",    "model": "string",    "question": {      "type": "choice",      "instructions": "string",      "criteria": {        "property1": "string",        "property2": "string"      }    }  }'
{  "name": "string",  "providerId": "string",  "model": "string",  "question": {    "type": "choice",    "instructions": "string",    "criteria": {      "property1": "string",      "property2": "string"    }  },  "visibility": "org",  "sharedWith": [],  "id": "string",  "orgId": "string",  "createdBy": "string",  "createdAt": "string",  "updatedAt": "string",  "canEdit": true}